Retrieve Token Market Data

Retrieve real-time market data for a specific coin, including price, volume, market cap, and percentage changes over configurable time intervals.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Supported on Monad Mainnet.

🚧

The Monad Mainnet Indexing API is available to Pro tier users. Free tier members can also enjoy a trial period with 30 free calls. The same request URL is used for both mainnet and testnet. Network selection is handled automatically through the API key.

If you're interested, please register directly through here. Please note that the API Key can also be used for your RPC endpoint.

Parameter

  • token, string- the contract address for the token to get the information from monad.

Response

  • priceInUsd, string - the current token price in USD (e.g., "3.38").
  • marketCap, string - the market cap of the token, in USD.
  • liquidityInUsd, string - the total liquidity (TVL) across trading pools, in USD.
  • fdvInUsd, string - the total liquidity (TVL) across trading pools, in USD.
  • circulating, string - the circulating supply of the token.
  • supply, string - the total (max or current) supply of the token.
  • volume24H, integer - total trading volume over the past 24 hours, in USD.
  • market, object - each key (m30, hour1, hour4, hour24) represents a time window of:
    • m30, market object → 30 minutes
    • hour1, market object → 1 hour
    • hour4, market object → 4 hours
    • hour24, market object → 24 hours
      • tokenId, string – the unique identifier of the token on-chain (e.g., 0x760AfE86e5de5fa0Ee542fc7B7B713e1c5425701).
      • interval, string – time window label (e.g., "30m", "1h").
      • priceChange, string – percentage change in price within the interval (e.g., -0.22 = -0.22%).
      • buys, integer – total number of buy-side transactions in this interval.
      • sells, integer – total number of sell-side transactions.
      • buyVolume, integer – total amount bought in the interval (in token units).
      • sellVolume, integer – total amount sold in the interval (in token units).
      • buyers, integer – number of unique addresses that bought during this interval.
      • sellers, integer – number of unique addresses that sold during this interval.
      • txn, integer – total number of swap or trade transactions.
      • volume, integer – total trading volume (buy + sell) for this interval (in token units).
      • markers, integer – number of unique market maker addresses interacting during the interval.
Query Params
string
required
Defaults to 0x3bd359C1119dA7Da1D913D1C4D2B7c461115433A

the contract address for the token to get the information from monad.

Response
200
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!